Bug 853994 - ovirt-engine-backend: when we fail DisconnectStoragePool the domains status's keep changing from active to inactive to unknown in a loop
ovirt-engine-backend: when we fail DisconnectStoragePool the domains status's...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Liron Aravot
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 09:59 EDT by Dafna Ron
Modified: 2016-02-10 15:21 EST (History)
10 users (show)

See Also:
Fixed In Version: SI19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (6.63 MB, application/x-gzip)
2012-09-03 09:59 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-09-03 09:59:52 EDT
Created attachment 609397 [details]
logs

Description of problem:

In a setup where the domains are made out of luns from different storage's (extended) I removed my host's from one of the Storage's access list. 
we fail to disconnect the pool so it appears to be in up state while the domains keep changing status from active/unknown/inactive. 

Version-Release number of selected component (if applicable):

si16

How reproducible:

100%

Steps to Reproduce:
1. create domains which have luns from different storage servers
2. remove the hosts from one of the storage's access list's
3.
  
Actual results:

domains status's keeps changing in a loop 

Expected results:

we should create a time out in which the domains remain inactive in case we hace storage issues. 

Additional info:logs
Comment 1 Dafna Ron 2012-09-03 10:00:23 EDT
from db:

engine=# SELECT status from storage_domains;
 status 
--------
      3
      3
      3
      3
      0
      3
(6 rows)

engine=# SELECT status from storage_domains;
 status 
--------
      3
      3
      3
      3
      0
      3
(6 rows)

engine=# SELECT status from storage_domains;
 status 
--------
      3
      3
      3
      3
      3
      0
(6 rows)

engine=# SELECT status from storage_domains;
 status 
--------
      0
      0
      0
      0
      0
      0
(6 rows)
Comment 2 Ayal Baron 2012-09-12 02:26:28 EDT
Is 'autorecovery' enabled?
Comment 3 Dafna Ron 2012-09-12 02:35:19 EDT
no. auto recovery is disabled.
Comment 4 Liron Aravot 2012-09-24 08:21:06 EDT
http://gerrit.ovirt.org/#/c/7257/

verified by paikov on U/S.
Comment 5 Dafna Ron 2012-10-02 10:44:09 EDT
verified on si19

Note You need to log in before you can comment on or make changes to this bug.